package com.qmth.cqb.paper.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;

import cn.com.qmth.examcloud.common.dto.em.enums.ExamType;
import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.model.ExportStructure;

/**
 * @author  	chenken
 * @date    	2017年7月12日 下午4:26:36
 * @company 	QMTH
 * @description ExportStructureService.java
 */
public interface ExportStructureService {
	
	/**
	 * 保存导出结构
	 * @param exportStructure
	 */
	public void saveExportStructure(ExportStructure exportStructure,AccessUser user);
	/**
	 * 查询导出结构
	 * @param exportStructure
	 * @return
	 */
	public ExportStructure findByExportStructure(ExportStructure exportStructure);
	/**
	 * 分页查询
	 * @param exportStructure
	 * @param curPage
	 * @param pageSize
	 * @return
	 */
	public Page<ExportStructure> findPageByExportStructure(ExportStructure exportStructure,int curPage,int pageSize);
	/**
	 * 根据考试类型和考试ID查询结构
	 * 如果结构存在、判断结构设置是否完整
	 * 是否完整是指 客观题题数是否都设置过了
	 * @param examId
	 * @param examType
	 * @return
	 */
	public Map<String,Object> findStructureByExamIdAndExamType(String examId,ExamType examType);
	
	/**
	 * 根据考试类型查询考试id
	 * @param examType
	 * @return
	 */
	public List<String> findExportStructureByExamType(String examType);
}

