package com.qmth.cqb.paper.service.export;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import main.java.com.UpYun;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.model.ExamFile;
import com.qmth.cqb.paper.model.ExtractConfig;
import com.qmth.cqb.utils.CommonUtils;
import com.qmth.cqb.utils.enums.ExamFileType;
import com.qmth.cqb.utils.word.DocxProcessUtil;

/**
 * @author  	chenken
 * @date    	2017年7月7日 上午11:29:49
 * @company 	QMTH
 * @description 天津大学导出service
 */
@Service("tjdxExportPaperService")
public class TjdxExportPaperService extends ExportPaperAbstractService {
    
	public static final String TEMP_FILE_EXP = "docxExport/";
	public static final String DOCX_SUFFIX = ".docx";
	
    @Override
    public void downloadPaper(String paperId, HttpServletResponse response) throws Exception {
        Map<String,Object> dataMap = initExportPaper(paperId);
        List<String> fileList = new ArrayList<String>();
        if (dataMap.get("fileName") != null) {
            String paperfileName = (String) dataMap.get("fileName");
            String answerFileName = paperfileName+"__答案";
            DocxProcessUtil.exportPaper(dataMap, paperfileName,TJDX_TEMPLATE_PAPER);
            DocxProcessUtil.exportAnswer(dataMap,answerFileName,TJDX_TEMPLATE_ANSWER);
            DocxProcessUtil.processImage(paperfileName,getPkgList(paperId));
            DocxProcessUtil.processImage(answerFileName,getPkgList(paperId));
            fileList.add(paperfileName);
            fileList.add(answerFileName);
            DocxProcessUtil.processDownload(fileList, response);
        }
    }

    @Override
    public void uploadFile(ExtractConfig extractConfig,String paperId,AccessUser accessUser,Map<String,Object> exportStructureMap) throws Exception{
    	
    }
    
}

